LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
07796Bug reports[All Projects] Statisticspublic2013-04-24 15:082013-05-10 15:39
ReporterDWS 
Assigned Toc_schmitz 
PrioritynormalSeveritycrash 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version2.00+ 
Summary07796: Statistics crash on numerical answers
DescriptionAfter upgrade to 2.00+ Build 130423 from 2.00+ Build 130325 the statistics crashes for numeric question type.
Steps To ReproduceUpgrade to 2.00+ Build 130423
Make statistics for a numeric question type -> crash
Replace application\helpers\admin\statistics_helper.php with 130325 version file
Make statistics for a numeric question type -> ok
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID130423
Browser
Database & DB-Versionmysql 5.1.67
Operating System (Server)ubuntu0.11.10.1
Webserver software & versionApache/2.2.20
PHP Version5.3.6-13ubuntu3.10
Attached Fileshtm file icon CDbException.htm [^] (24,241 bytes) 2013-04-25 14:59

- Relationships
has duplicate 07802closedc_schmitz Internal Server Error when trying to generate a statistic from an active survey. 

-  Notes
User avatar (25127)
c_schmitz (administrator)
2013-04-25 11:58
edited on: 2013-04-25 12:41

Please activate debug mode in /application/config/config.php and attach the page of the detailed error message as HTML file. Thank you.

User avatar (25128)
DWS (reporter)
2013-04-25 14:59

attached the html file

regards
User avatar (25131)
c_schmitz (administrator)
2013-04-25 23:57

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=12348 [^]
User avatar (25148)
c_schmitz (administrator)
2013-04-28 18:32

New version 2.0+ build 130428 released
User avatar (25215)
c_schmitz (administrator)
2013-05-10 15:39

Fix committed to 2.05 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=12397 [^]

- Related Changesets
LimeSurvey: master d42763ee
Timestamp: 2013-04-25 13:19:33
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 07796: Statistics crash on numerical answers
mod - application/helpers/admin/statistics_helper.php Diff ] File ]
LimeSurvey: 2.05 12f90d28
Timestamp: 2013-04-25 13:19:33
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 07796: Statistics crash on numerical answers
mod - application/helpers/admin/statistics_helper.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-04-24 15:08 DWS New Issue
2013-04-25 11:58 c_schmitz Note Added: 25127
2013-04-25 11:58 c_schmitz Assigned To => c_schmitz
2013-04-25 11:58 c_schmitz Status new => feedback
2013-04-25 12:41 c_schmitz Note Edited: 25127 View Revisions
2013-04-25 14:59 DWS File Added: CDbException.htm
2013-04-25 14:59 DWS Note Added: 25128
2013-04-25 14:59 DWS Status feedback => assigned
2013-04-25 15:18 c_schmitz Status assigned => resolved
2013-04-25 15:18 c_schmitz Fixed in Version => 2.00+
2013-04-25 15:18 c_schmitz Resolution open => fixed
2013-04-25 23:57 c_schmitz Changeset attached => LimeSurvey master d42763ee
2013-04-25 23:57 c_schmitz Note Added: 25131
2013-04-26 00:10 c_schmitz Relationship added has duplicate 07802
2013-04-28 18:32 c_schmitz Note Added: 25148
2013-04-28 18:32 c_schmitz Status resolved => closed
2013-05-10 15:39 c_schmitz Changeset attached => LimeSurvey 2.05 12f90d28
2013-05-10 15:39 c_schmitz Note Added: 25215


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker